package com.yutou.pop_up_dialog

import android.os.Bundle
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.FrameLayout
import android.widget.ListView
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.yutou.popdialog.POPDialog

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val textView = findViewById<TextView>(R.id.dialog_textView)
        textView.setOnClickListener {
            showDialog()
        }
        showDialog()
    }


    fun showDialog() {
        val params = FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, 300)
        val textView = TextView(this@MainActivity)
        textView.text = "aaaaaaaaaaaaaa"
        textView.layoutParams = params

        val dialog = POPDialog(this)
        //dialog.setTitle(textView)
        dialog.setTitle("标题")
        //dialog.setMessage("正文测试")
        //dialog.setContentView(textView)
        dialog.setContentView(getListView())
        dialog.enableExitButton(true)
        dialog.show()
    }

    private fun getListView(): ListView {
        val listView = ListView(this@MainActivity)
        val list = ArrayList<String>()

        for (i in 1..50) {
            list.add("item is $i")
        }
        listView.adapter =
            ArrayAdapter<String>(this@MainActivity, android.R.layout.simple_list_item_1, list)

        return listView
    }
}